HPlip 3.19.6 is buggy and won't install on Ubuntu18.04

Asked by Tennom on 2019-08-21

I was trying to install driver for HP Laserjet P1007 for testing purposes.
First I followed https://sites.google.com/site/tipsandtricksforubuntu/printer-info/hplip-driver, none of these 2 methods worked.
Then I tried the official way https://developers.hp.com/hp-linux-imaging-and-printing/gethplip :
It directed me to download the hplip3.19.6.run which is the installer of hplip. It has many steps to follow and installed successfully. After that it will try to install the driver for my P1007 printer, it found it requires binary plugin and it finds signature mismatch. You can still proceed with that and accept the license agreement. Here it breaks itself, it keeps looping back to install the plugin and nightmare.
How i got the printer working instead is run hp-uninstall with hplip3.19.6 and installed 3.17.10. This needs the same teens of dependencies to install and teens of steps to follow, but it never loop back on the plugin installation and worked!
Why not a reliable way?

Question information

Language:
English Edit question
Status:
Expired
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2019-08-21
Last reply:
2019-09-05
Launchpad Janitor (janitor) said : #1

This question was expired because it remained in the 'Open' state without activity for the last 15 days.